Bug 435233 - qemu-kvm should have dac_override permission
qemu-kvm should have dac_override permission
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-27 23:12 EST by Michel Alexandre Salim
Modified: 2008-03-05 17:19 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-05 17:19:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2008-02-27 23:12:26 EST
Description of problem:
I would often create a disk image under my normal user account, and then use it
with qemu-kvm (through virt-manager).

With SELinux set to enforcing, this triggers an access denial.

Version-Release number of selected component (if applicable):
3.3.1-5.fc9

How reproducible:
Always

Steps to Reproduce:
1.  sudo qemu-kvm -hda dfly.qc2

(use any other file you create with qemu-img)
  
Actual results:

Summary:

SELinux is preventing qemu-kvm (qemu_t) "dac_override" to <Unknown> (qemu_t).

Detailed Description:

SELinux denied access requested by qemu-kvm. It is not expected that this access
is required by qemu-kvm and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:qemu_t:s0
Target Context                system_u:system_r:qemu_t:s0
Target Objects                None [ capability ]
Source                        qemu-kvm
Source Path                   /usr/bin/qemu-kvm
Port                          <Unknown>
Host                          berlin.local
Source RPM Packages           kvm-61-2.fc9
Target RPM Packages           
Policy RPM                    selinux-policy-3.3.1-5.fc9
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     berlin.local
Platform                      Linux berlin.local 2.6.25-0.65.rc2.git7.fc9 #1 SMP
                              Sat Feb 23 22:40:55 EST 2008 x86_64 x86_64
Alert Count                   2
First Seen                    Wed 27 Feb 2008 11:06:06 PM EST
Last Seen                     Wed 27 Feb 2008 11:06:06 PM EST
Local ID                      bc910308-c78b-4f0a-9d77-018ad80b61e7
Line Numbers                  

Raw Audit Messages            

host=berlin.local type=AVC msg=audit(1204171566.216:205): avc:  denied  {
dac_override } for  pid=11852 comm="qemu-kvm" capability=1
scontext=system_u:system_r:qemu_t:s0 tcontext=system_u:system_r:qemu_t:s0
tclass=capability

host=berlin.local type=AVC msg=audit(1204171566.216:205): avc:  denied  {
dac_read_search } for  pid=11852 comm="qemu-kvm" capability=2
scontext=system_u:system_r:qemu_t:s0 tcontext=system_u:system_r:qemu_t:s0
tclass=capability

host=berlin.local type=SYSCALL msg=audit(1204171566.216:205): arch=c000003e
syscall=2 success=no exit=-13 a0=7fff4999e630 a1=0 a2=1a4 a3=3a7a56b9f0 items=0
ppid=2554 pid=11852 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0
sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="qemu-kvm" exe="/usr/bin/qemu-kvm"
subj=system_u:system_r:qemu_t:s0 key=(null)




Expected results:
qemu-kvm should work

Additional info:
Comment 1 Daniel Walsh 2008-02-27 23:42:40 EST
Fixed in selinux-policy-3.3.1-6.fc9
Comment 2 Daniel Walsh 2008-03-05 17:19:02 EST
CLosed as this should be fixed in rawhide.  If this problem persists please
reopen the bugzilla.

Note You need to log in before you can comment on or make changes to this bug.